Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRPrintServiceExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.JRPrintServiceExporter

All Implemented Interfaces:
  java.awt.print.Printable, JRExporter

    public class JRPrintServiceExporter

extends JRAbstractExporter
implements java.awt.print.Printable

Version:
  $Id: JRPrintServiceExporter.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`protected boolean` | `displayPageDialog`
`protected boolean` | `displayPageDialogOnlyOnce`
`protected boolean` | `displayPrintDialog`
`protected boolean` | `displayPrintDialogOnlyOnce`
`protected JRGraphics2DExporter` | `exporter`
`protected int` | `reportIndex`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`JRPrintServiceExporter()`

Method Summary
`static boolean` | `checkAvailablePrinters()`
`void` | `exportReport()` Actually starts the export process.
`protected java.lang.String` | `getExporterKey()`
`javax.print.PrintService` | `getPrintService()` Returns the `PrintService` instance used by the exporter last time the exportReport() method was run.
`java.lang.Boolean[]` | `getPrintStatus()` Returns an array of `java.lang.Boolean` values, one for each appearance of the print dialog during the last export operation.
`int` | `print(java.awt.Graphics graphics, java.awt.print.PageFormat pageFormat, int pageIndex)`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setHyperlinkProducerFactory, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exporter

    protected JRGraphics2DExporter exporter

### displayPageDialog

    protected boolean displayPageDialog

### displayPageDialogOnlyOnce

    protected boolean displayPageDialogOnlyOnce

### displayPrintDialog

    protected boolean displayPrintDialog

### displayPrintDialogOnlyOnce

    protected boolean displayPrintDialogOnlyOnce

### reportIndex

    protected int reportIndex

Constructor Detail

### JRPrintServiceExporter

    public JRPrintServiceExporter()

Method Detail

### exportReport

    public void exportReport()
                      throws JRException

  Description copied from interface: `JRExporter`
  Actually starts the export process.

  Specified by:
    `exportReport` in interface `JRExporter`
  Specified by:
    `exportReport` in class `JRAbstractExporter`
  Throws:
    `JRException`

### print

    public int print(java.awt.Graphics graphics,
                     java.awt.print.PageFormat pageFormat,
                     int pageIndex)
              throws java.awt.print.PrinterException

  Specified by:
    `print` in interface `java.awt.print.Printable`
  Throws:
    `java.awt.print.PrinterException`

### checkAvailablePrinters

    public static boolean checkAvailablePrinters()

### getPrintStatus

    public java.lang.Boolean[] getPrintStatus()

  Returns an array of `java.lang.Boolean` values, one for each appearance of the print dialog during the last export operation. A Boolean.TRUE value in this array means that for that particular occurrence of the print dialog, the OK button was hit. A Boolean.FALSE value means the respective print dialog was canceled.

### getPrintService

    public javax.print.PrintService getPrintService()

  Returns the `PrintService` instance used by the exporter last time the exportReport() method was run.

### getExporterKey

    protected java.lang.String getExporterKey()

  Specified by:
    `getExporterKey` in class `JRAbstractExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com